goodmorning everybody
i want to get the plane coordinates of a TPSView in CATIA vba so i can compere those coordinates with the annotations in the product, here is the code
Dim vwTPSView As DrawingView
Dim dX As Double
Dim dY As Double
Dim dViewPlaneX1 As Double
Dim dViewPlaneY1 As Double
Dim...
hi everybody, i have a wired issue i guess
i have a macro that opens a product and save it as IGES
buet the thing is that when i try to open the IGES file it came as part.igs.tmp
hope you can help me, thank you so much
Set obj = CreateObject("Scripting.FileSystemObject")
Set Folder =...
hi jagandeep sorry for the delay, i was out a while,
thank you so much for this code, it really help me a lot
i wonder if, this code just work for products? or it can be used also to mesure between partbodies within a part?
hi ferdo
for now i just have two ways of serching for the edges of a surface and for the igs file that i have its taking like 30 por 40 minutes, the codes are below,
is there a faster way? if so, could you guide how to do it, i am lost,
thank you
CODE # 1
Dim Language
Language="VBSCRIPT"...
is there a faster way to count the edges of a surface?
i have a part thet hace 270 surfaces, and extracting and count one by one is taking a long time
hope some body can help me, thank you
yes actually when doing the macro i open the cat part and convert it as a IGS and i work like that, but as you can see i am not to familiar with the vbs, and some times im lost,
yes i just saw a post with the following code, thank you so much for your respose,
whant i want to do i to extract all the possible geometry from a selected face in a TXT, because we want to create a program that analyse in a different program, and it has to do it automaticly, so i found that...
hi ferdo
thank you so much for your helpful response, the code is running perfectly and fast, when i am trying to count the edges of a face it only runs once, and i have issue with the reference again
can you help me find where my error is
thank you so much, here is the code i am using, at...
hi every body,
i dont really know how to solve this, my code count the faces of the part and calculate the area of the surface but some how is not getting the reference
hope you can help me.
Sub CATMain()
CATIA.ActiveDocument.Selection.Clear
Set objsel = CATIA.ActiveDocument.Selection...
hi every body
im having a trouble tryng to get the isometric view. the code im using is the following.
under this code i change the view of the part and trying to get the isometric so the part can rotate from the isometric, but what is doing, is rotaring to isometric from the last rotate
my...
hi everybody
i have an issue, hope you can help me with this
well i have a product with abot 130 parts, and i need to know the distance between each part,
doing it manually is terrible, hope you can help me with this,
thank you
hi everybody
I have no idea on how to solve this issue, I hope you can help me with this
here is the thing, I have the following part, when you open it, the part is in the space and is how I get the part,
what I need to do, is to align the center line with the x-axis, the Y pointing up and Z...
oooo yes sure here is the code
Dim oFoundEdges
Set oFoundEdges = CreateObject("Scripting.Dictionary")
For j = 1 To osel.Count
sEdgeName = osel.Item(j).Value.name
Dim aEdgeName
aEdgeName = Split(sEdgeName, "face")
sEdgeName = "face" & aEdgeName(UBound(aEdgeName))
If InStr(sEdgeName...
thak you for your answer I found that collection can not be used
I use CreateObject("Scripting.Dictionary") and it works perfectly
thank you for your help
hi, itsmyjob
thank you so much for your answer
I tried that already, but on VBS does not accept any as ...., so I had to erase it,
at this point I don't know what to do.
hope you can guide me trough
thanks
hello guys
I have this code, and when running in in CATIA it gave me an error, hope you can help me
Dim oFoundEdges
Set oFoundEdges = New Collection '(the component active x can not create the object "collection")
For j = 1 To osel.Count
sEdgeName = osel.Item(j).Value.name
Dim...